---
title: "Get a customer · Customers · COUNT Partner API"
description: "Retrieves a single customer by its id (UUID). GET /partners/customers/{uuid}"
canonical: "https://developers.getcount.com/reference/customers/get-customer"
source: "https://developers.getcount.com/reference/customers/get-customer"
---
[Customers](https://developers.getcount.com/reference/customers) / Get a customer

# Get a customer

GET `/partners/customers/{uuid}`

Retrieves a single customer by its id (UUID).

Returns the customer with its contacts and addresses embedded. Pass include=balance to also return the customer’s outstanding balance.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Fcustomers%2F%7Buuid%7D)

[Invoices API](https://developers.getcount.com/reference/invoices) [Projects API](https://developers.getcount.com/reference/projects) [Recurring Invoice Templates API](https://developers.getcount.com/reference/recurring-invoice-templates)

#### Path parameters

`uuid` uuid required

The customer UUID as returned in responses.

#### Query parameters

`include` string optional

Comma-separated extras to embed. Supports balance to add the outstanding balance.

#### Responses

`200` The requested customer.

`404` Customer not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous GET List customers](https://developers.getcount.com/reference/customers/list-customers) [Next POST Add a customer](https://developers.getcount.com/reference/customers/add-customer)

GET `https://api.getcount.com/partners/customers/{uuid}`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/customers/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/customers/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Success on fetching customer data.",
  "data": {
    "customer": {
      "id": "dfa3219e-6af8-4c53-997a-037534f63a35",
      "customer": "Acme Corporation",
      "email": "contact@acme.com",
      "mainPhone": "+1234567890",
      "website": "https://acme.com",
      "status": "active",
      "notes": "Preferred customer. Net-30 terms.",
      "paymentTerm": "net30",
      "taxNumber": null,
      "taxAutoCalculate": false,
      "taxExcluded": false,
      "contactName": "John Doe",
      "billingAddress": {
        "id": "0b2c1f5e-7a9d-4f2b-9c1e-2a4b6d8e0f12",
        "street": "123 Main St",
        "city": "San Francisco",
        "state": "CA",
        "zipCode": "94102",
        "country": "USA"
      },
      "shippingAddress": null,
      "contacts": [
        {
          "id": "a5da3577-bf85-4e3a-aa73-df85ca69bc67",
          "firstName": "John",
          "lastName": "Doe",
          "email": "john@acme.com",
          "phone": "+1234567890",
          "isPrimary": true
        }
      ],
      "taxes": [],
      "salesRep": null,
      "createdAt": "2026-01-15T10:30:00.000Z",
      "updatedAt": "2026-01-28T14:22:30.000Z"
    }
  }
}
```
